org.apache.ignite.internal.processors.streamer

## Class StreamerWindowMetricsHolder

- java.lang.Object
- - org.apache.ignite.internal.processors.streamer.StreamerWindowMetricsHolder

All Implemented Interfaces:
  StreamerWindowMetrics

    public class StreamerWindowMetricsHolder
    extends Object
    implements StreamerWindowMetrics

Streamer window metrics holder.

### Constructor Summary

Constructors
Constructor and Description
`StreamerWindowMetricsHolder(StreamerWindow window)`

### Method Summary

Methods
`int` `evictionQueueSize()` Gets eviction queue size.
`String` `name()` Gets window name.
`int` `size()` Gets window size.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamerWindowMetricsHolder

    public StreamerWindowMetricsHolder(StreamerWindow window)

Parameters:
  `window` - Streamer window.

### Method Detail

#### name

    public String name()

Gets window name.

Specified by:
  `name` in interface `StreamerWindowMetrics`
Returns:
  Window name.

#### size

    public int size()

Gets window size.

Specified by:
  `size` in interface `StreamerWindowMetrics`
Returns:
  Window size.

#### evictionQueueSize

    public int evictionQueueSize()

Gets eviction queue size.

Specified by:
  `evictionQueueSize` in interface `StreamerWindowMetrics`
Returns:
  Eviction queue size.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015